package tech.deepq.common.store;

import lombok.RequiredArgsConstructor;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;
import tech.deepq.common.db.service.StoreManager;
import tech.deepq.common.db.entity.Store;

/**
 * @author xuye
 * @since 2023/4/1 19:40
 **/
@Service
@Primary
@RequiredArgsConstructor
public class MySQLCachedNsKVMapStore implements NsKVMapStore {

    private final StoreManager storeManager;

    @Override
    public String getValue(String namespace, String key) {
        Store store = storeManager.getValueFromNsByKey(namespace, key);
        if (ObjectUtils.isEmpty(store)) {
            return null;
        }
        return store.getValue();
    }

    @Override
    public void upsert(String namespace, String key, String value) {
        storeManager.upsert(namespace, key, value);
    }

}
